> Generated from infrastucture-generation at [rgoncalves.se](rgoncalves.se),
> using jinja template.

## Clients

Name | Comment | Operating System
-----|------|-----------------
{% for client in clients %}
	{{ client.name }} | {{ client.comment }} | {{ client.os }}
{% endfor %}

## Servers

Name | Comment | IP | Ports | Operating System
-----|---------|----|------|------------------
{% for server in servers %}
	{{ server.name -}} | 
	{{- server.comment -}} |
	{%- for ip, num in server.address.items() -%}
	<li><strong style="color:red">{{ ip -}}</strong> : 
		{{- null}} --> {{ num -}}</li>
	{%- endfor -%} | 
	{%- for port, num in server.ports.items() -%}
	<li><strong style="color:red">{{ num -}}</strong> : 
		{{- null}} --> {{ port -}}</li>
	{%- endfor -%} | 
	{{- server.os }}
{% endfor %}

## Components

Name | Comment | Ports | Operating System
-----|---------|-------|-----------------
{% for component in components %}
	{{ component.name }} | {{ component.comment }} | {{ component.ports | safe }} | {{ component.so }}
{% endfor %}

